#include <iostream>
#include <algorithm>
#include <cmath>
#include <string>
#include <vector>
#include <map>
#include <set>
#include <queue>
#include <deque>
#define int long long
using namespace std;
main()
{
    ios_base::sync_with_stdio();
    cin.tie(0);
    int n, m;
    cin >> n >> m;
    int k[m + 4];

    for(int i = 0; i < m; i++)
        cin >> k[i];

    sort(k, k + m);
    int otv = 0;
    vector<int>ans;
    int ch = k[0];
    int kol = 1;

    for(int i = 1; i < m; i++)
    {
        if(k[i] == k[i - 1])
            kol++;

        else
        {
            if(kol >= n)
            {
                otv++;
                ans.push_back(ch);
            }

            kol = 1;
            ch = k[i];
        }
    }

    if(kol >= n)
    {
        otv++;
        ans.push_back(ch);
    }

    cout << otv << endl;

    for(int i = 0; i < ans.size(); i++)
        cout << ans[i] << " ";
}

